# OpalConferenceState::User Struct Reference

`#include <manager.h>`

## Data Fields

PString | m_uri
| URI that the user used to access this conference.
PString | m_displayText
| Human readable form of users connection.
PStringSet | m_roles
| Role for user, e.g. "participant".

## Field Documentation

PString OpalConferenceState::User::m_displayText

Human readable form of users connection.

PStringSet OpalConferenceState::User::m_roles

Role for user, e.g. "participant".

PString OpalConferenceState::User::m_uri

URI that the user used to access this conference.

The documentation for this struct was generated from the following file:

- manager.h